## octave-parallel 1.0.6

=== DESCRIPTION ===
Name: Parallel
Version: 1.0.6
Date: 2008-04-29
Author: Hayato Fujiwara
Maintainer: Hayato Fujiwara
Title: Parallel Computing.
Description: Parallel execution package for cluster computers
Depends: octave (>= 2.9.12)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
OCTS = sclose.oct  connect.oct pserver.oct  \
	recv.oct  reval.oct  send.oct


all: $(OCTS)

%.oct: %.cc
	mkoctfile -s $<

clean: ; rm *.o core octave-core *.oct *~

## octave-parallel 2.0.0

=== DESCRIPTION ===
Name: Parallel
Version: 2.0.0
Date: 2009-03-29
Author: Hayato Fujiwara and Olaf Till <olaf.till@uni-jena.de>
Maintainer: Hayato Fujiwara and Olaf Till <olaf.till@uni-jena.de>
Title: Parallel Computing.
Description: Parallel execution package for cluster computers. For
 parallel execution on a single machine see e.g. function parcellfun
 (author: Jaroslav Hajek) in package general.
Depends: octave (>= 3.0.0)
Autoload: yes
License: GPL, see individual files for GPL version
Url: http://octave.sf.net

## octave-parallel 2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Parallel
-Version: 2.0.0
-Date: 2009-03-29
+Version: 2.0.1
+Date: 2010-02-09
 Author: Hayato Fujiwara and Olaf Till <olaf.till@uni-jena.de>
 Maintainer: Hayato Fujiwara and Olaf Till <olaf.till@uni-jena.de>
 Title: Parallel Computing.

=== src/Makefile ===
OCTS = sclose.oct  connect.oct pserver.oct \
       recv.oct  reval.oct  send.oct \
       __bw_is_locked__.oct __bw_lock_file__.oct \
       __bw_unlock_file__.oct \
       __bw_prcv__.oct __bw_psend__.oct __internal_exit__.oct \
       select.oct


all: $(OCTS)

%.oct: %.cc
	mkoctfile -s $<

clean: ; rm *.o *.oct

=== debian/changelog ===
octave-parallel (2.0.1-1) unstable; urgency=low

  * New upstream release
    + Drop patches fix___bw_prcv__ and fix_quitting_gracefully, applied
      upstream.
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571917)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch to dpkg-source 3.0 (quilt) format and drop quilt from build-depends
  * Standards-Version: Bump to 3.8.4 (no changes needed)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 25 Apr 2010 16:04:03 +0200

octave-parallel (2.0.0-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2
  
  [ Thomas Weber ]
  * Use octave-parallel.docs for documentation installation, following the
    change in octave-pkg-dev 0.7.1. 

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 31 Dec 2009 00:20:31 +0100

octave-parallel (2.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 18:52:24 +0200

octave-parallel (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 07 Apr 2009 19:09:50 +0200

octave-parallel (1.0.7-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Dec 2008 16:33:08 +0000

octave-parallel (1.0.6-1) unstable; urgency=low

  * Initial release (closes: #468518)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 20 May 2008 22:32:26 +0200

=== debian/control ===
Source: octave-parallel
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <thomas.weber.mail@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.1)
Standards-Version: 3.8.4
Homepage: http://octave.sourceforge.net/parallel
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-parallel.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-parallel.git

Package: octave-parallel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: parallel execution of Octave in clusters of computers
 This is a package to add parallel computing functions to Octave. The
 parallel computing functions are supported without any additional parallel
 computing libraries such as MPI and PVM.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/parallel-([\d.]+)\.tar\.gz\?download

## octave-parallel 2.0.4

=== DESCRIPTION ===
Name: Parallel
Version: 2.0.4
Date: 2010-08-24
Author: Hayato Fujiwara and Olaf Till <olaf.till@uni-jena.de>
Maintainer: Olaf Till <olaf.till@uni-jena.de>
Title: Parallel Computing.
Description: Parallel execution package for cluster computers. See
 also package openmpi_ext, maintained by Riccardo Corradini. For
 parallel execution on a single machine see e.g. function parcellfun
 (author: Jaroslav Hajek) in package general.
Depends: octave (>= 3.0.0)
Autoload: yes
License: GPL, see individual files for GPL version
Url: http://octave.sf.net

=== src/Makefile ===
--- 
+++ 
@@ -9,6 +9,6 @@
 all: $(OCTS)
 
 %.oct: %.cc
-	mkoctfile -s $<
+	mkoctfile -s $< sock-stream.cc
 
 clean: ; rm *.o *.oct

=== debian/changelog ===
octave-parallel (2.0.4-1) experimental; urgency=low

  * New upstream release

 -- Thomas Weber <tweber@debian.org>  Sat, 04 Sep 2010 00:42:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <thomas.weber.mail@gmail.com>
+Uploaders: Thomas Weber <tweber@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.1)
 Standards-Version: 3.8.4

## octave-parallel 2.0.5

=== debian/changelog ===
octave-parallel (2.0.5-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.1, no changes required

 -- Thomas Weber <tweber@debian.org>  Fri, 29 Apr 2011 22:56:48 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thomas Weber <tweber@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.1)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://octave.sourceforge.net/parallel
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-parallel.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-parallel.git

## octave-parallel 2.2.0

=== DESCRIPTION ===
Name: Parallel
Version: 2.2.0
Date: 2014-02-02
Author: Hayato Fujiwara, Jaroslav Hajek, Olaf Till
Maintainer: Olaf Till <i7tiol@t-online.de>
Title: Parallel Computing.
Description: Parallel execution package. See also package mpi, maintained
 by Carlo de Falco. 
Depends: octave (>= 3.4.0)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-parallel (2.2.0-1build1) trusty; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Feb 2014 03:12:22 +0100

octave-parallel (2.2.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Reintroduce the package: it is now a dependency of the latest upstream
    release of octave-optim.
  * Imported Upstream version 2.2.0
  * debian/copyright: reflect upstream changes.
  * build-with-g++-4.7.patch: drop patch, no longer needed.
  * autoload-yes.patch: new patch.
  * debian/control: use my @debian.org e-mail address.
  * Bump to Standards-Version 3.9.5, no changes needed.
  * Disable the testsuite for the time being, by renaming debian/check.m.
    At the end of the test, the server is not killed because the wrong PID is
    stored under /tmp/.octave-$HOSTNAME.pid.

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields
  * Remove obsolete DM-Upload-Allowed flag

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 05 Feb 2014 19:30:05 +0100

octave-parallel (2.0.5-3) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/check.m: Ensures that server process is killed
  * debian/watch: Use the SourceForge redirector
  * Fix FTBFS with g++ 4.7 (Closes: #667304)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Thu, 05 Apr 2012 17:18:00 +0200

octave-parallel (2.0.5-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.0.5
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * debian/copyright: update to machine-readable format 1.0
  * debian/check.m: Add file for unit testing
  * Bump to Standards-Version 3.9.3, no changes needed

 -- Thomas Weber <tweber@debian.org>  Mon, 26 Mar 2012 18:37:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.1)
-Standards-Version: 3.9.1
+Uploaders: Thomas Weber <tweber@debian.org>,
+           Sébastien Villemot <sebastien@debian.org>
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/parallel
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-parallel.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-parallel.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-parallel.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-parallel.git
 
 Package: octave-parallel
 Architecture: any

## octave-parallel 3.0.0

=== DESCRIPTION ===
Name: Parallel
Version: 3.0.0
Date: 2015-07-12
Author: Hayato Fujiwara, Jaroslav Hajek, Olaf Till
Maintainer: Olaf Till <i7tiol@t-online.de>
Title: Parallel Computing.
Description: Parallel execution package. See also package mpi, maintained
 by Carlo de Falco. 
Depends: octave (>= 3.8.0)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-parallel (3.0.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Imported Upstream version 3.0.0
  * d/copyright: reflect upstream changes.
  * Add build-dependency on libgnutls28-dev.
  * No longer ship README.{bw,parallel} which disappeared.
  * Add Rafael Laboissiere and Mike Miller to Uploaders.

  [ Rafael Laboissiere ]
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 18:46:57 +0200

## octave-parallel 3.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Parallel
-Version: 3.0.0
-Date: 2015-07-12
+Version: 3.0.3
+Date: 2015-10-29
 Author: Hayato Fujiwara, Jaroslav Hajek, Olaf Till
 Maintainer: Olaf Till <i7tiol@t-online.de>
 Title: Parallel Computing.

=== debian/changelog ===
octave-parallel (3.0.3-1) unstable; urgency=medium

  * Imported Upstream version 3.0.3

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 02 Nov 2015 23:02:24 +0100

octave-parallel (3.0.2-1) unstable; urgency=medium

  * Imported Upstream version 3.0.2

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 12 Sep 2015 12:29:28 -0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,12 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
-Standards-Version: 3.9.5
+           Rafael Laboissiere <rafael@laboissiere.net>,
+           Sébastien Villemot <sebastien@debian.org>,
+           Mike Miller <mtmiller@debian.org>
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
+               libgnutls28-dev
+Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/parallel
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-parallel.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-parallel.git

=== debian/watch ===
version=3
http://sf.net/octave/parallel-(.+)\.tar\.gz

## octave-parallel 3.1.0

=== DESCRIPTION ===
Name: parallel
Version: 3.1.0
Date: 2016-04-22
Author: Hayato Fujiwara, Jaroslav Hajek, Olaf Till
Maintainer: Olaf Till <i7tiol@t-online.de>
Title: Parallel Computing.
Description: Parallel execution package. See also package mpi, maintained
 by Carlo de Falco. 
Depends: octave (>= 3.8.0), struct (>= 1.0.12)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-parallel (3.1.0-2) unstable; urgency=medium

  * d/check.m: Check the parcellfun function (Closes: 737756)
    This replaces the old, dysfunctional code for exercising the
    pserver function.  More unit terts will be hopefully added in
    the future.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 14 Aug 2016 06:41:39 -0300

octave-parallel (3.1.0-1) unstable; urgency=medium

  * Imported Upstream version 3.1.0
  * d/copyright : Reflect upstream changes
  * d/p/documentation-typos.patch: New patch
  * d/p/info-dircategory-and-direntry.patch: New patch
  * Install new upstream documentation
  * d/rules: Remove automatically generated files
  * d/control: Bump Standards-Version to 3.9.8 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 14 May 2016 20:57:20 +0200

octave-parallel (3.0.4-1) unstable; urgency=medium

  * Imported Upstream version 3.0.4
  * d/control: Use secure URIs in the Vcs-* fields
  * d/control: Bump Standards-Version to 3.9.7 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 17 Mar 2016 13:45:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Rafael Laboissiere <rafael@laboissiere.net>,
+           Rafael Laboissiere <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
                libgnutls28-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://octave.sourceforge.net/parallel
-Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-parallel.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-parallel.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-parallel.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-parallel.git
 
 Package: octave-parallel
 Architecture: any

## octave-parallel 3.1.1

=== DESCRIPTION ===
Name: parallel
Version: 3.1.1
Date: 2016-09-24
Author: Hayato Fujiwara, Jaroslav Hajek, Olaf Till
Maintainer: Olaf Till <i7tiol@t-online.de>
Title: Parallel Computing.
Description: Parallel execution package. See also package mpi, maintained
 by Carlo de Falco. 
Depends: octave (>= 3.8.0), struct (>= 1.0.12)
BuildRequires: libgnutls..-dev
Autoload: no
License: GPLv3+
Url: http://octave.sf.net

=== debian/changelog ===
octave-parallel (3.1.1-3) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:37:19 -0200

octave-parallel (3.1.1-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:26 -0200

octave-parallel (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1
  * d/copyright: reflect upstream changes.
  * d/p/documentation-typos.patch: drop patch, applied upstream.
  * Bump to debhelper compat level 10.
  * d/changelog: fix typo in 3.1.0-2 entry.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 09 Oct 2016 09:51:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: octave-parallel
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
            Rafael Laboissiere <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
+Build-Depends: debhelper (>= 11), dh-octave,
                libgnutls28-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://octave.sourceforge.net/parallel
-Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-parallel.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-parallel.git
+Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-parallel.git
+Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-parallel
+Testsuite: autopkgtest-pkg-octave
 
 Package: octave-parallel
 Architecture: any

=== debian/watch ===
version=4
http://sf.net/octave/parallel-(.+)\.tar\.gz

## octave-parallel 3.1.3

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif


## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -c -f - --posix -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
	cd "$@/src" && ./configure && $(MAKE) prebuild && \
	  $(MAKE) distclean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

# html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
html_options = --eval 'options = get_html_options ("octave-forge");' \
               --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' dirs = {"inst", "src"}; \
  dirs(cellfun (@ (x) ! isdir (x), dirs)) = []; \
  if (isempty (dirs)) error ("no \"inst\" or \"src\" directory"); exit (1); \
    else __run_test_suite__ (dirs, {}); endif '
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install
	@echo "## Removing target directory (if empty)..."
	-rmdir $(target_dir)
	@echo
	@echo "## Cleaning done"
	@echo

=== debian/changelog ===
octave-parallel (3.1.3-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:14 +0100

octave-parallel (3.1.3-4) unstable; urgency=medium

  * d/control: Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into
    the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 18:55:04 -0300

octave-parallel (3.1.3-3) unstable; urgency=medium

  * d/copyright: Fix license name for the AppStream file
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)
  * d/p/include-iostream.patch: New patch
  * d/rules: Autoreconfigure files in src directory
  * d/p/fix-namespaces.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 05 Oct 2019 17:15:22 -0300

octave-parallel (3.1.3-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:19 -0200

octave-parallel (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.0

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 21 Aug 2018 13:35:13 -0300

octave-parallel (3.1.2-2) unstable; urgency=medium

  * Reintroduce documentation in HTML form

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 21 May 2018 09:44:22 -0300

octave-parallel (3.1.2-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 3.1.2
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)
  * Drop HTML form of documentation

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 20 May 2018 16:20:59 -0300

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
            Rafael Laboissiere <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
-Build-Depends: debhelper (>= 11), dh-octave,
+Build-Depends: debhelper-compat (= 12),
+               dh-octave (>= 0.7.1),
                libgnutls28-dev
-Standards-Version: 4.1.3
-Homepage: http://octave.sourceforge.net/parallel
+Standards-Version: 4.4.1
+Homepage: https://octave.sourceforge.io/parallel/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-parallel.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-parallel
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-parallel
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

override_dh_autoreconf:
	(cd src ; autoreconf -f -i)

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C src html

## octave-parallel 4.0.0

=== DESCRIPTION ===
Name: parallel
Version: 4.0.0
Date: 2020-04-11
Author: Hayato Fujiwara, Jaroslav Hajek, Olaf Till
Maintainer: Olaf Till <i7tiol@t-online.de>
Title: Parallel Computing.
Description: Parallel execution package.
Depends: octave (>= 4.0.0), struct (>= 1.0.12)
BuildRequires: libgnutls..-dev
Autoload: no
License: GPLv3+

=== debian/changelog ===
octave-parallel (4.0.0-2) unstable; urgency=medium

  * d/control: Bump debhelper compatibitlity level to 13
  * d/u/metadata: Drop Name and Contact fields

 -- Rafael Laboissière <rafael@debian.org>  Mon, 25 May 2020 05:32:33 -0300

octave-parallel (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * d/copyright: Reflect upstream changes
  * d/p/include-iostream.patch: Refresh for new upstream version
  * d/p/fix-namespaces.patch: Drop patch (applied upstream)
  * New patches:
    + d/p/xseealso-texi2pdf.patch
    + d/p/spelling-fixes.patch
    + d/p/xtest-pserver.patch
    + d/p/pserver-path.patch
  * d/rules: Install octave-pserver in /usr/libexec
  * d/clean: Extend list of files to remove
  * d/s/options: Extend list of files to ignore
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Apr 2020 17:33:41 -0300

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>,
+           Rafael Laboissière <rafael@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
                libgnutls28-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/parallel/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-parallel.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-parallel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

### Disable unit testing.  The tests need the package octave-parallel
### itself installed in the system.
export DEB_BUILD_MAINT_OPTIONS = nocheck

%:
	dh $@ --buildsystem=octave --with=octave

override_dh_autoreconf:
	(cd src ; autoreconf -f -i)

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C src html

USRDIR = debian/octave-parallel/usr
LIBEXECDIR = $(USRDIR)/libexec
BINDIR = $(USRDIR)/share/octave/packages/parallel-*/bin

override_dh_installdeb:
	dh_installdeb
	mkdir $(LIBEXECDIR)
	mv $(BINDIR)/octave-pserver $(LIBEXECDIR)
	rm -rf $(BINDIR)

## octave-parallel 4.0.1

=== Makefile ===
--- 
+++ 
@@ -131,8 +131,10 @@
 endif
 ## Uncomment this if your src/Makefile.in has these targets for
 ## pre-building something for the release (e.g. documentation).
+ifneq ($(PREBUILD), no)
 	cd "$@/src" && ./configure && $(MAKE) prebuild && \
-	  $(MAKE) distclean && $(RM) Makefile
+	  $(MAKE) distclean
+endif
 ##
 	${FIX_PERMISSIONS} "$@"
 
@@ -212,14 +214,10 @@
 
 ## Test package.
 octave_test_commands = \
-' dirs = {"inst", "src"}; \
-  dirs(cellfun (@ (x) ! isdir (x), dirs)) = []; \
-  if (isempty (dirs)) error ("no \"inst\" or \"src\" directory"); exit (1); \
-    else __run_test_suite__ (dirs, {}); endif '
-## the following works, too, but provides no overall summary output as
-## __run_test_suite__ does:
-##
-##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
+' args = {"inst"}; \
+  args(cellfun (@ (x) isempty (a = stat (x)) || ! S_ISDIR (a.mode), args)) = []; \
+  if (isempty (args)) error ("no \"inst\" or \"src\" directory"); exit (1); \
+    else cellfun(@runtests, args); endif '
 check: $(install_stamp)
 	$(run_in_place) --eval $(octave_test_commands)

=== debian/changelog ===
octave-parallel (4.0.1-3build1) jammy; urgency=medium

  * No-change rebuild against octave 6.4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 19 Jan 2022 09:34:45 +0000

octave-parallel (4.0.1-3) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/p/honor-cflags-cppflags-cxxflags.patch: New patch
  * d/p/pserver-path.patch: Fix line number in hunk
  * d/p/xtest-pserver.patch: Fix line number in hunk

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Nov 2021 16:19:44 -0300

octave-parallel (4.0.1-2) unstable; urgency=medium

  * Upload to unstable
  * Improve handling of autoreconf
    + d/autoreconf: New file (indicate src dir for dh_autoreconf)
    + d/rules: Drop rule for target override_dh_autoreconf
  * d/rules: Use targets execute_after_dh_* instead of override_dh_*

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 03:35:35 -0300

octave-parallel (4.0.1-1) experimental; urgency=medium

  * New upstream version 4.0.1
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/p/spelling-fixes.patch: Drop patch (applied upstream)
  * Set "Forwarded: not-needed" for the following patches:
    + d/p/info-dircategory-and-direntry.patch
    + d/p/info-path.patch
    + d/p/pserver-path.patch
    + d/p/xseealso-texi2pdf.patch
    + d/p/xtest-pserver.patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 20 Mar 2021 06:34:14 -0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1),
                libgnutls28-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://octave.sourceforge.io/parallel/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-parallel.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-parallel

=== debian/rules ===
--- 
+++ 
@@ -8,19 +8,14 @@
 %:
 	dh $@ --buildsystem=octave --with=octave
 
-override_dh_autoreconf:
-	(cd src ; autoreconf -f -i)
-
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	$(MAKE) -C src html
 
 USRDIR = debian/octave-parallel/usr
 LIBEXECDIR = $(USRDIR)/libexec
 BINDIR = $(USRDIR)/share/octave/packages/parallel-*/bin
 
-override_dh_installdeb:
-	dh_installdeb
+execute_after_dh_installdeb:
 	mkdir $(LIBEXECDIR)
 	mv $(BINDIR)/octave-pserver $(LIBEXECDIR)
 	rm -rf $(BINDIR)

## octave-parallel 4.0.2

=== DESCRIPTION ===
Name: parallel
Version: 4.0.2
Date: 2023-09-09
Author: Hayato Fujiwara, Jaroslav Hajek, Olaf Till
Maintainer: Olaf Till <i7tiol@t-online.de>
Title: Parallel Computing.
Description: Parallel execution package.
# FIXME: Octave version might need to be incremented.
Depends: octave (>= 4.0.0), struct (>= 1.0.12)
BuildRequires: libgnutls..-dev
Autoload: no
License: GPLv3+

=== debian/changelog ===
octave-parallel (4.0.2-2) unstable; urgency=medium

  * d/u/metadata: Update Bug-Database URL
  * d/control:
    + Drop the versioned dependency on dh-octave. Relationship >= 1.2.3 is
      satisfiable in oldoldstable, which has version 1.2.7.
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Update override for the Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Oct 2025 08:37:25 -0300

octave-parallel (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2
  * d/copyright: Reflect upstream changes
  * Dropped patch (applied upstream):
    + d/p/honor-cflags-cppflags-cxxflags.patch
    + d/p/octave7.patch
    + d/p/fix-cleaning-rules.patch
    + d/p/octave8-part1.patch
    + d/p/octave8-part3.patch
  * d/p/octave8-part2.patch: Drop patch (no longer be needed with
    Octave ⩾ 8.3.0)
  * Patches refreshed for new upstream version
    + d/p/info-path.patch
    + d/p/include-iostream.patch
    + d/p/pserver-path.patch
    + d/p/xtest-pserver.patch
  * d/u/metadata:
    + Update Bug-Database URL
    + Add Repository, Changelog, and Documentation URLs

 -- Rafael Laboissière <rafael@debian.org>  Sat, 16 Sep 2023 16:40:28 -0300

octave-parallel (4.0.1-7) unstable; urgency=medium

  [ Sébastien Villemot ]
  * octave8-part{1,2}.patch: new patches, fix FTBFS against Octave 8
    (Closes: #1040130)

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/control: Update Homepage URL
  * d/copyright: Update Source URL

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 02 Jul 2023 15:17:12 +0200

octave-parallel (4.0.1-6) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 10:46:13 -0300

octave-parallel (4.0.1-5) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * Fix cleaning rules
    + d/control: Build-depend on dh-octave (<= 1.2.3)
    + d/p/fix-cleaning-rules.patch: New patch
    + d/clean, d/source/options: Adjust for the new situation
  * d/copyright: Update copyright years of debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Thu, 14 Jul 2022 13:07:16 -0300

octave-parallel (4.0.1-4) unstable; urgency=medium

  * octave7.patch: new patch, fixes autopkgtest against Octave 7

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 25 Apr 2022 15:35:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,13 @@
            Sébastien Villemot <sebastien@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
+               dh-sequence-octave,
                libgnutls28-dev
-Standards-Version: 4.6.0
-Homepage: https://octave.sourceforge.io/parallel/
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/parallel/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-parallel.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-parallel
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-parallel
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = nocheck
 
 %:
-	dh $@ --buildsystem=octave --with=octave
+	dh $@ --buildsystem=octave
 
 execute_after_dh_auto_install:
 	$(MAKE) -C src html

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/parallel/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/parallel-@ANY_VERSION@@ARCHIVE_EXT@
